# Get Return Orders GET https://api.shipbob.com/2.0/return Reference: https://developer.shipbob.com/api/returns/get-return-orders ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: api-2.0 version: 1.0.0 paths: /2.0/return: get: operationId: get-return-orders summary: | Get Return Orders tags: - subpackage_returns parameters: - name: Page in: query description: Page of return orders to get required: false schema: type: string format: int32 - name: Limit in: query description: Amount of return orders per page to request required: false schema: type: string format: int32 - name: SortOrder in: query description: Order to sort results by required: false schema: type: string format: int32 - name: StartDate in: query description: Start date to filter orders inserted later than required: false schema: type: string format: date-time - name: EndDate in: query description: End date to filter orders inserted earlier than required: false schema: type: string format: date-time - name: IDs in: query description: Comma separated list of return orders ids to filter by required: false schema: type: string - name: ReferenceIds in: query description: Comma separated list of reference ids to filter by required: false schema: type: string - name: Status in: query description: Comma separated list of statuses to filter by required: false schema: type: string - name: FulfillmentCenterIds in: query description: >- Comma separated list of destination fulfillment center IDs to filter by required: false schema: type: string - name: TrackingNumbers in: query description: Comma separated list of tracking numbers to filter by required: false schema: type: string - name: OriginalShipmentIds in: query description: Comma separated list of original shipment IDs to filter by required: false schema: type: string - name: InventoryIds in: query description: >- Comma separated list of inventory IDs contained in return to filter by required: false schema: type: string - name: Authorization in: header description: Authentication using Personal Access Token (PAT) token required: true schema: type: string - name: shipbob_channel_id in: header description: '' required: false schema: type: string format: int32 responses: '200': description: Success content: application/json: schema: $ref: '#/components/schemas/Returns.ReturnOrderViewModelArray' '401': description: Authorization missing or invalid content: application/json: schema: description: Any type '403': description: The provided credentials are not authorized to access this resource content: application/json: schema: description: Any type servers: - url: https://api.shipbob.com - url: https://sandbox-api.shipbob.com components: schemas: Returns.ChannelInfoModel: type: object properties: id: type: integer name: type: - string - 'null' title: Returns.ChannelInfoModel Returns.FulfillmentCenterModel: type: object properties: id: type: integer name: type: - string - 'null' required: - id title: Returns.FulfillmentCenterModel Returns.ReturnAction: type: string enum: - '0' - '1' - '2' - '3' title: Returns.ReturnAction Returns.ReturnActionSource: type: string enum: - InventoryDefault - Override description: |- InventoryDefault Override title: Returns.ReturnActionSource Returns.ReturnActionRequestedViewModel: type: object properties: action: $ref: '#/components/schemas/Returns.ReturnAction' action_type: $ref: '#/components/schemas/Returns.ReturnActionSource' instructions: type: - string - 'null' title: Returns.ReturnActionRequestedViewModel Returns.LotInformationViewModel: type: object properties: expiration_date: type: string format: date-time lot_number: type: - string - 'null' quantity_processed: type: integer title: Returns.LotInformationViewModel Returns.ReturnActionTakenViewModel: type: object properties: action: $ref: '#/components/schemas/Returns.ReturnAction' action_reason: type: - string - 'null' description: Reason the given action was taken lot_information: type: array items: $ref: '#/components/schemas/Returns.LotInformationViewModel' quantity_processed: type: integer description: Quantity of inventory processed with the taken action title: Returns.ReturnActionTakenViewModel Returns.InventoryItemViewModel: type: object properties: action_requested: $ref: '#/components/schemas/Returns.ReturnActionRequestedViewModel' action_taken: type: - array - 'null' items: $ref: '#/components/schemas/Returns.ReturnActionTakenViewModel' id: type: integer name: type: - string - 'null' quantity: type: integer title: Returns.InventoryItemViewModel Returns.ReturnType: type: string enum: - Regular - ReturnToSender description: |- Regular ReturnToSender title: Returns.ReturnType Returns.ReturnStatus: type: string enum: - AwaitingArrival - Arrived - Processing - Completed - Cancelled description: |- AwaitingArrival Arrived Processing Completed Cancelled title: Returns.ReturnStatus Returns.TagModel: type: object properties: name: type: string value: type: string required: - name - value title: Returns.TagModel Returns.TransactionLogSource: type: string enum: - ReturnLabelInvoice - ReturnProcessingFee - ReturnToSenderFee description: |- ReturnLabelInvoice ReturnProcessingFee ReturnToSenderFee title: Returns.TransactionLogSource Returns.TransactionViewModel: type: object properties: amount: type: number format: double transaction_type: $ref: '#/components/schemas/Returns.TransactionLogSource' title: Returns.TransactionViewModel Returns.ReturnOrderViewModel: type: object properties: channel: $ref: '#/components/schemas/Returns.ChannelInfoModel' completed_date: type: - string - 'null' format: date-time customer_name: type: - string - 'null' fulfillment_center: $ref: '#/components/schemas/Returns.FulfillmentCenterModel' id: type: integer insert_date: type: string format: date-time inventory: type: - array - 'null' items: $ref: '#/components/schemas/Returns.InventoryItemViewModel' invoice_amount: type: - number - 'null' format: double original_shipment_id: type: - integer - 'null' reference_id: type: - string - 'null' return_type: $ref: '#/components/schemas/Returns.ReturnType' status: $ref: '#/components/schemas/Returns.ReturnStatus' store_order_id: type: - string - 'null' tags: type: - array - 'null' items: $ref: '#/components/schemas/Returns.TagModel' tracking_number: type: - string - 'null' transactions: type: - array - 'null' items: $ref: '#/components/schemas/Returns.TransactionViewModel' title: Returns.ReturnOrderViewModel Returns.ReturnOrderViewModelArray: type: array items: $ref: '#/components/schemas/Returns.ReturnOrderViewModel' title: Returns.ReturnOrderViewModelArray securitySchemes: PAT: type: http scheme: bearer description: Authentication using Personal Access Token (PAT) token OAuth2: type: http scheme: bearer description: OAuth2 authentication using JWT tokens ``` ## SDK Code Examples ```python Returns_getReturnOrders_example import requests url = "https://api.shipbob.com/2.0/return" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Returns_getReturnOrders_example const url = 'https://api.shipbob.com/2.0/return'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Returns_getReturnOrders_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.shipbob.com/2.0/return" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Returns_getReturnOrders_example require 'uri' require 'net/http' url = URI("https://api.shipbob.com/2.0/return") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Returns_getReturnOrders_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.shipbob.com/2.0/return") .header("Authorization", "Bearer ") .asString(); ``` ```php Returns_getReturnOrders_example request('GET', 'https://api.shipbob.com/2.0/return', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Returns_getReturnOrders_example using RestSharp; var client = new RestClient("https://api.shipbob.com/2.0/return"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Returns_getReturnOrders_example import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/2.0/return")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```